From e56ebfe77029085c2f1af49fe6eb943191b8e184 Mon Sep 17 00:00:00 2001
From: Gary Oberbrunner <garyo@genarts.com>
Date: Wed, 24 Dec 2014 09:52:54 -0500
Subject: [PATCH] Allow empty table creation on export, rather than giving
 error.

This is useful with SQL which can produce no results sometimes.
---
 lisp/org-table.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/org-table.el b/lisp/org-table.el
index 6b33eda..8168b58 100644
--- a/lisp/org-table.el
+++ b/lisp/org-table.el
@@ -796,7 +796,8 @@ When nil, simply write \"#ERROR\" in corrupted fields.")
       (error
        (kill-region beg end)
        (org-table-create org-table-default-size)
-       (user-error "Empty table - created default table")))
+       (setq maxfields 0)
+       (org-display-warning "Empty table - created default table")))
     ;; A list of empty strings to fill any short rows on output
     (setq emptystrings (make-list maxfields ""))
     ;; Check for special formatting.
-- 
1.9.5.msysgit.0

